Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

关于安装问卷survey模块应用报错的问题



  • 我是一个新手,对于查看日志什么的还懵懵懂懂,今天安装survey问卷模块时候系统报错了,还请高手帮忙看看什么故障

    我发现自从我安装了一些第三方的插件后,原版自带的odoo11 应用模块反而根本都装不上去。。odoo维护好吃力啊。报错如下
    错误:
    Odoo Server Error

    Traceback (most recent call last):
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 741, in parse
    self._tags[rec.tag](rec, de, mode=mode)
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 651, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
    File "/home/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1467, in _update
    record = record.create(values)
    File "/home/odoo/odoo11/addons/sales_team/models/res_users.py", line 17, in create
    user = super(ResUsers, self).create(vals)
    File "/home/odoo/odoo11/addons/auth_signup/models/res_users.py", line 144, in create
    user = super(ResUsers, self).create(values)
    File "/home/odoo/odoo11/addons/mail/models/res_users.py", line 55, in create
    raise exceptions.RedirectWarning(msg, action.id, _('Go to the configuration panel'))
    odoo.exceptions.RedirectWarning: ('你不能在这里创建一个新的用户。\n 要创建一个新用户,请转到配置面板。', 65, '转到配置面板')

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/home/odoo/odoo11/odoo/http.py", line 646, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
    File "/home/odoo/odoo11/odoo/http.py", line 307, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
    File "/home/odoo/odoo11/odoo/tools/pycompat.py", line 87, in reraise
    raise value
    File "/home/odoo/odoo11/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
    File "/home/odoo/odoo11/odoo/http.py", line 339, in _call_function
    return checked_call(self.db, *args, **kwargs)
    File "/home/odoo/odoo11/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
    File "/home/odoo/odoo11/odoo/http.py", line 332, in checked_call
    result = self.endpoint(*a, **kw)
    File "/home/odoo/odoo11/odoo/http.py", line 927, in call
    return self.method(*args, **kw)
    File "/home/odoo/odoo11/odoo/http.py", line 512, in response_wrap
    response = f(*args, **kw)
    File "/home/odoo/odoo11/addons/web/controllers/main.py", line 928, in call_button
    action = self._call_kw(model, method, args, {})
    File "/home/odoo/odoo11/addons/web/controllers/main.py", line 916, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
    File "/home/odoo/odoo11/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
    File "/home/odoo/odoo11/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
    File "<decorator-gen-39>", line 2, in button_immediate_install
    File "/home/odoo/odoo11/odoo/addons/base/module/module.py", line 71, in check_and_log
    return method(self, *args, **kwargs)
    File "/home/odoo/odoo11/odoo/addons/base/module/module.py", line 446, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
    File "/home/odoo/odoo11/odoo/addons/base/module/module.py", line 539, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
    File "/home/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
    File "/home/odoo/odoo11/odoo/modules/loading.py", line 343, in load_modules
    loaded_modules, update_module)
    File "/home/odoo/odoo11/odoo/modules/loading.py", line 242, in load_marked_modules
    loaded, processed = load_module_graph(cr, graph, progressdict, report=report, skip_modules=loaded_modules, perform_checks=perform_checks)
    File "/home/odoo/odoo11/odoo/modules/loading.py", line 159, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='demo')
    File "/home/odoo/odoo11/odoo/modules/loading.py", line 94, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 788, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 849, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 738, in parse
    self.parse(rec, mode)
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 748, in parse
    exc_info[2]
    File "/home/odoo/odoo11/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 741, in parse
    self._tags[rec.tag](rec, de, mode=mode)
    File "/home/odoo/odoo11/odoo/tools/convert.py", line 651, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
    File "/home/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1467, in _update
    record = record.create(values)
    File "/home/odoo/odoo11/addons/sales_team/models/res_users.py", line 17, in create
    user = super(ResUsers, self).create(vals)
    File "/home/odoo/odoo11/addons/auth_signup/models/res_users.py", line 144, in create
    user = super(ResUsers, self).create(values)
    File "/home/odoo/odoo11/addons/mail/models/res_users.py", line 55, in create
    raise exceptions.RedirectWarning(msg, action.id, _('Go to the configuration panel'))
    odoo.tools.convert.ParseError: "你不能在这里创建一个新的用户。
    要创建一个新用户,请转到配置面板。
    65
    转到配置面板" while parsing /home/odoo/odoo11/addons/survey/data/survey_demo_user.xml:5, near
    <record id="base.user_demo" model="res.users">
    <field eval="[(4, ref('group_survey_manager'))]" name="groups_id"/>
    </record>